import{s as Te,n as Le,o as Ee}from"../chunks/scheduler.7da89386.js";import{S as Ce,i as ye,g as l,s as o,r as L,A as we,h as i,f as g,c as n,j as E,u as C,x as u,k as y,y as t,a as p,v as w,d as P,t as D,w as M}from"../chunks/index.0b7befd3.js";import{D as U}from"../chunks/Docstring.80026b50.js";import{H as Pe,E as De}from"../chunks/EditOnGithub.0cb2bc8e.js";function Me(he){let d,K,N,O,f,B,a,_,ee,I,ve="Keeps track of the overall evaluation process and relevant information.",te,H,me=`The <a href="/docs/lighteval/main/en/package_reference/logging#lighteval.logging.evaluation_tracker.EvaluationTracker">EvaluationTracker</a> contains specific loggers for experiments details
(<a href="/docs/lighteval/main/en/package_reference/logging#lighteval.logging.info_loggers.DetailsLogger">DetailsLogger</a>), metrics (<a href="/docs/lighteval/main/en/package_reference/logging#lighteval.logging.info_loggers.MetricsLogger">MetricsLogger</a>), task versions
(<a href="/docs/lighteval/main/en/package_reference/logging#lighteval.logging.info_loggers.VersionsLogger">VersionsLogger</a>) as well as for the general configurations of both the
specific task (<a href="/docs/lighteval/main/en/package_reference/logging#lighteval.logging.info_loggers.TaskConfigLogger">TaskConfigLogger</a>) and overall evaluation run
(<a href="/docs/lighteval/main/en/package_reference/logging#lighteval.logging.info_loggers.GeneralConfigLogger">GeneralConfigLogger</a>).  It compiles the data from these loggers and
writes it to files, which can be published to the Hugging Face hub if
requested.`,ae,V,pe="<strong>Attributes</strong>:",re,F,fe='<li><strong>details_logger</strong> (<a href="/docs/lighteval/main/en/package_reference/logging#lighteval.logging.info_loggers.DetailsLogger">DetailsLogger</a>) — Logger for experiment details.</li> <li><strong>metrics_logger</strong> (<a href="/docs/lighteval/main/en/package_reference/logging#lighteval.logging.info_loggers.MetricsLogger">MetricsLogger</a>) — Logger for experiment metrics.</li> <li><strong>versions_logger</strong> (<a href="/docs/lighteval/main/en/package_reference/logging#lighteval.logging.info_loggers.VersionsLogger">VersionsLogger</a>) — Logger for task versions.</li> <li><strong>general_config_logger</strong> (<a href="/docs/lighteval/main/en/package_reference/logging#lighteval.logging.info_loggers.GeneralConfigLogger">GeneralConfigLogger</a>) — Logger for general configuration.</li> <li><strong>task_config_logger</strong> (<a href="/docs/lighteval/main/en/package_reference/logging#lighteval.logging.info_loggers.TaskConfigLogger">TaskConfigLogger</a>) — Logger for task configuration.</li>',oe,c,b,ne,G,_e="Aggregates and returns all the logger’s experiment information in a dictionary.",le,A,be="This function should be used to gather and display said information at the end of an evaluation run.",ie,h,k,ge,q,ke="Pushes the experiment details (all the model predictions for every step) to the hub.",se,v,$,ce,z,$e="Fully updates the details repository metadata card for the currently evaluated model",de,m,x,ue,S,xe="Saves the experiment information and results to files, and to the hub if requested.",J,T,Q,R,W;return f=new Pe({props:{title:"EvaluationTracker",local:"lighteval.logging.evaluation_tracker.EvaluationTracker",headingTag:"h1"}}),_=new U({props:{name:"class lighteval.logging.evaluation_tracker.EvaluationTracker",anchor:"lighteval.logging.evaluation_tracker.EvaluationTracker",parameters:[{name:"output_dir",val:": str"},{name:"save_details",val:": bool = True"},{name:"push_to_hub",val:": bool = False"},{name:"push_to_tensorboard",val:": bool = False"},{name:"hub_results_org",val:": str | None = ''"},{name:"tensorboard_metric_prefix",val:": str = 'eval'"},{name:"public",val:": bool = False"},{name:"nanotron_run_info",val:": GeneralArgs = None"}],parametersDescription:[{anchor:"lighteval.logging.evaluation_tracker.EvaluationTracker.output_dir",description:"<strong>output_dir</strong> (<code>str</code>) &#x2014; Local folder path where you want results to be saved.",name:"output_dir"},{anchor:"lighteval.logging.evaluation_tracker.EvaluationTracker.save_details",description:"<strong>save_details</strong> (<code>bool</code>, defaults to True) &#x2014; If True, details are saved to the <code>output_dir</code>.",name:"save_details"},{anchor:"lighteval.logging.evaluation_tracker.EvaluationTracker.push_to_hub",description:`<strong>push_to_hub</strong> (<code>bool</code>, defaults to False) &#x2014; If True, details are pushed to the hub.
Results are pushed to <code>{hub_results_org}/details__{sanitized model_name}</code> for the model <code>model_name</code>, a public dataset,
if <code>public</code> is True else <code>{hub_results_org}/details__{sanitized model_name}_private</code>, a private dataset.`,name:"push_to_hub"},{anchor:"lighteval.logging.evaluation_tracker.EvaluationTracker.push_to_tensorboard",description:"<strong>push_to_tensorboard</strong> (<code>bool</code>, defaults to False) &#x2014; If True, will create and push the results for a tensorboard folder on the hub.",name:"push_to_tensorboard"},{anchor:"lighteval.logging.evaluation_tracker.EvaluationTracker.hub_results_org",description:`<strong>hub_results_org</strong> (<code>str</code>, <em>optional</em>) &#x2014; The organisation to push the results to.
See more details about the datasets organisation in <code>EvaluationTracker.save</code>.`,name:"hub_results_org"},{anchor:"lighteval.logging.evaluation_tracker.EvaluationTracker.tensorboard_metric_prefix",description:"<strong>tensorboard_metric_prefix</strong> (<code>str</code>, defaults to &#x201C;eval&#x201D;) &#x2014; Prefix for the metrics in the tensorboard logs.",name:"tensorboard_metric_prefix"},{anchor:"lighteval.logging.evaluation_tracker.EvaluationTracker.public",description:"<strong>public</strong> (<code>bool</code>, defaults to False) &#x2014; If True, results and details are pushed to public orgs.",name:"public"},{anchor:"lighteval.logging.evaluation_tracker.EvaluationTracker.nanotron_run_info",description:"<strong>nanotron_run_info</strong> (<code>~nanotron.config.GeneralArgs</code>, <em>optional</em>) &#x2014; Reference to information about Nanotron models runs.",name:"nanotron_run_info"}],source:"https://github.com/huggingface/lighteval/blob/main/src/lighteval/logging/evaluation_tracker.py#L83"}}),b=new U({props:{name:"generate_final_dict",anchor:"lighteval.logging.evaluation_tracker.EvaluationTracker.generate_final_dict",parameters:[],source:"https://github.com/huggingface/lighteval/blob/main/src/lighteval/logging/evaluation_tracker.py#L222"}}),k=new U({props:{name:"push_to_hub",anchor:"lighteval.logging.evaluation_tracker.EvaluationTracker.push_to_hub",parameters:[{name:"date_id",val:": str"},{name:"details",val:": dict"},{name:"results_dict",val:": dict"}],source:"https://github.com/huggingface/lighteval/blob/main/src/lighteval/logging/evaluation_tracker.py#L243"}}),$=new U({props:{name:"recreate_metadata_card",anchor:"lighteval.logging.evaluation_tracker.EvaluationTracker.recreate_metadata_card",parameters:[{name:"repo_id",val:": str"}],parametersDescription:[{anchor:"lighteval.logging.evaluation_tracker.EvaluationTracker.recreate_metadata_card.repo_id",description:"<strong>repo_id</strong> (str) &#x2014; Details dataset repository path on the hub (<code>org/dataset</code>)",name:"repo_id"}],source:"https://github.com/huggingface/lighteval/blob/main/src/lighteval/logging/evaluation_tracker.py#L284"}}),x=new U({props:{name:"save",anchor:"lighteval.logging.evaluation_tracker.EvaluationTracker.save",parameters:[],source:"https://github.com/huggingface/lighteval/blob/main/src/lighteval/logging/evaluation_tracker.py#L152"}}),T=new De({props:{source:"https://github.com/huggingface/lighteval/blob/main/docs/source/package_reference/evaluation_tracker.mdx"}}),{c(){d=l("meta"),K=o(),N=l("p"),O=o(),L(f.$$.fragment),B=o(),a=l("div"),L(_.$$.fragment),ee=o(),I=l("p"),I.textContent=ve,te=o(),H=l("p"),H.innerHTML=me,ae=o(),V=l("p"),V.innerHTML=pe,re=o(),F=l("ul"),F.innerHTML=fe,oe=o(),c=l("div"),L(b.$$.fragment),ne=o(),G=l("p"),G.textContent=_e,le=o(),A=l("p"),A.textContent=be,ie=o(),h=l("div"),L(k.$$.fragment),ge=o(),q=l("p"),q.textContent=ke,se=o(),v=l("div"),L($.$$.fragment),ce=o(),z=l("p"),z.textContent=$e,de=o(),m=l("div"),L(x.$$.fragment),ue=o(),S=l("p"),S.textContent=xe,J=o(),L(T.$$.fragment),Q=o(),R=l("p"),this.h()},l(e){const s=we("svelte-u9bgzb",document.head);d=i(s,"META",{name:!0,content:!0}),s.forEach(g),K=n(e),N=i(e,"P",{}),E(N).forEach(g),O=n(e),C(f.$$.fragment,e),B=n(e),a=i(e,"DIV",{class:!0});var r=E(a);C(_.$$.fragment,r),ee=n(r),I=i(r,"P",{"data-svelte-h":!0}),u(I)!=="svelte-550339"&&(I.textContent=ve),te=n(r),H=i(r,"P",{"data-svelte-h":!0}),u(H)!=="svelte-1e7emzn"&&(H.innerHTML=me),ae=n(r),V=i(r,"P",{"data-svelte-h":!0}),u(V)!=="svelte-1xx6nm4"&&(V.innerHTML=pe),re=n(r),F=i(r,"UL",{"data-svelte-h":!0}),u(F)!=="svelte-5lk269"&&(F.innerHTML=fe),oe=n(r),c=i(r,"DIV",{class:!0});var j=E(c);C(b.$$.fragment,j),ne=n(j),G=i(j,"P",{"data-svelte-h":!0}),u(G)!=="svelte-qqp5v"&&(G.textContent=_e),le=n(j),A=i(j,"P",{"data-svelte-h":!0}),u(A)!=="svelte-1ke5vz1"&&(A.textContent=be),j.forEach(g),ie=n(r),h=i(r,"DIV",{class:!0});var X=E(h);C(k.$$.fragment,X),ge=n(X),q=i(X,"P",{"data-svelte-h":!0}),u(q)!=="svelte-1lj091"&&(q.textContent=ke),X.forEach(g),se=n(r),v=i(r,"DIV",{class:!0});var Y=E(v);C($.$$.fragment,Y),ce=n(Y),z=i(Y,"P",{"data-svelte-h":!0}),u(z)!=="svelte-1l1nn02"&&(z.textContent=$e),Y.forEach(g),de=n(r),m=i(r,"DIV",{class:!0});var Z=E(m);C(x.$$.fragment,Z),ue=n(Z),S=i(Z,"P",{"data-svelte-h":!0}),u(S)!=="svelte-1jp5uy4"&&(S.textContent=xe),Z.forEach(g),r.forEach(g),J=n(e),C(T.$$.fragment,e),Q=n(e),R=i(e,"P",{}),E(R).forEach(g),this.h()},h(){y(d,"name","hf:doc:metadata"),y(d,"content",Ie),y(c,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),y(h,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),y(v,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),y(m,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),y(a,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(e,s){t(document.head,d),p(e,K,s),p(e,N,s),p(e,O,s),w(f,e,s),p(e,B,s),p(e,a,s),w(_,a,null),t(a,ee),t(a,I),t(a,te),t(a,H),t(a,ae),t(a,V),t(a,re),t(a,F),t(a,oe),t(a,c),w(b,c,null),t(c,ne),t(c,G),t(c,le),t(c,A),t(a,ie),t(a,h),w(k,h,null),t(h,ge),t(h,q),t(a,se),t(a,v),w($,v,null),t(v,ce),t(v,z),t(a,de),t(a,m),w(x,m,null),t(m,ue),t(m,S),p(e,J,s),w(T,e,s),p(e,Q,s),p(e,R,s),W=!0},p:Le,i(e){W||(P(f.$$.fragment,e),P(_.$$.fragment,e),P(b.$$.fragment,e),P(k.$$.fragment,e),P($.$$.fragment,e),P(x.$$.fragment,e),P(T.$$.fragment,e),W=!0)},o(e){D(f.$$.fragment,e),D(_.$$.fragment,e),D(b.$$.fragment,e),D(k.$$.fragment,e),D($.$$.fragment,e),D(x.$$.fragment,e),D(T.$$.fragment,e),W=!1},d(e){e&&(g(K),g(N),g(O),g(B),g(a),g(J),g(Q),g(R)),g(d),M(f,e),M(_),M(b),M(k),M($),M(x),M(T,e)}}}const Ie='{"title":"EvaluationTracker","local":"lighteval.logging.evaluation_tracker.EvaluationTracker","sections":[],"depth":1}';function He(he){return Ee(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class qe extends Ce{constructor(d){super(),ye(this,d,He,Me,Te,{})}}export{qe as component};
